LINUX.ORG.RU

Вышел ROSA Fresh R4 (2014.1)

 ,


1

1

Компания НТЦ ИТ РОСА представляет новый релиз свободной версии своего дистрибутива, ROSA Fresh R4 (2014.1). Дистрибутив основан на новой платформе rosa2014.1 со сроком поддержки 2 года. На базе этой платформы будет выпущено несколько релизов дистрибутива, аналогично платформе rosa2012.1.

Основные особенности сборки.

Улучшения в инсталляторе

  • Установка на системы с EFI
  • Поддержка шифрования корневого раздела

Окружение рабочего стола

  • Основное окружение рабочего стола KDE обновлено до версии 4.13.3 (в репозитории KDE4 Backports доступна версия 4.14.1, а официальное обновление до 4.14 будет после выхода 4.14.3).
  • Phonon 4.8.0
  • Phonon-GStreamer и Qt-GStreamer теперь используют GStreamer API 1.0
  • По умолчанию для управления сетевыми подключениями теперь используется Plasma NM (старый апплет knetworkmanager доступен в репозиториях).
  • По умолчанию для управления мониторами используется kscreen.
  • TimeFrame переведен на использование нового поискового фреймворка Baloo, пришедшего на смену Nepomuk.
  • В SimpleWelcome редкоиспользуемые приложения выделены в отдельные группы.

Обновления прикладного ПО
Популярные пользовательские приложения обновлены до свежих версий:

  • Firefox 32.0.2 (также в репозиториях доступен Firefox ESR 24.8.0 с классическим интерфейсом)
  • Chromium 37
  • Mozilla Thunderbird 31.0
  • Clementine 1.2.3 (собран с поддержкой ВКонтакте)
  • VLC 2.1.5
  • XBMC 13.2
  • Digikam 4.3.0
  • LibreOffice 4.3.1
  • Набор мультимедиа-библиотек FFmpeg, используемых ROSA Media Player, обновлен до версии 2.3.3
  • В репозитории Restricted доступен пакет Pipelight (требует настройки после установки — принятия лицензии и т.д.)
  • В репозитории contrib доступна тестовая сборка Fresh Player Plugin, позволяющего использовать плагин Pepper Flash из Chrome в Firefox и других браузерах.

Системная часть

  • GCC 4.9.2_2014.08 Linaro
  • Glibc 2.19
  • FPC 2.6.4
  • Lazarus 1.2.4
  • LLVM/Clang 3.5
  • Lua 5.2
  • OCaml 4.01.0
  • Perl 5.18.2
  • Python 2.7.8
  • Python3 3.4.1
  • Ruby 2.1.2
  • NetworkManager 0.9.10
  • ModemManager 1.4.0
  • Samba 4.1.9
  • Графическая подсистема теперь использует Xorg 1.15, Mesa 10.2.7
  • Осуществлен переход с MySQL на MariaDB
  • В дистрибутив добавлена экспериментальная версия ROSA Freeze — инструментария для надежного отката изменений системы, произведенных пользователем во время работы.
  • Инструмент HW Probe Tool для взятия пробы оборудования, ускорения диагностики и исправления ошибок на компьютерах пользователей.


Ядро и драйверы

  • Используется LTS-ядро 3.14.x (в образах версия 3.14.15), собранное с поддержкой BFQ-планировщика версии 7r5.
  • В ROSA Fresh R4 доступны для установки 3 стабильных версии проприетарного драйвера для видеокарт Nvidia: 340.x, 304.x, 173.x. Инструмент для настройки графической подсистемы (XFdrake) выбирает подходящий драйвер автоматически.
  • Улучшена поддержка систем с гибридной графикой Nvidia+Intel.

Минимальные требования к оборудованию
Рекомендованный минимальный объем памяти:
Для 64-битных систем — 2GB
Для 32-битных — 1280M

Инструкция по обновлению до R4 с R3 доступна ЗДЕСЬ

Скачать образы ROSA Fresh R4 (2014.1)

Официальная багзилла РОСЫ

Форумы

>>> Источник

Ответ на: комментарий от Pulfer

В апстрим долго не хотели принимать код (обосновывая тем, что ВКонтакте - рассадник пиратства)

Боюсь спросить, сколько в апстрим не принимали торрент-клиенты, ведь большая часть загружаемых раздач - пиратские...

anonymous ()

Определенно годный дистр. Нужно!

HerrWeigel ★★★★ ()

Phonon-GStreamer и Qt-GStreamer теперь используют GStreamer API 1.0

А это победа. Из-за известного бага в phonon&gstreamer0.10 приходилось ставить phonon-vlc, иначе amarok выжирал память тоннами.

redgremlin ★★★★★ ()
Ответ на: комментарий от anonymous

Ты трафик поснифать уже успел? И что, куда оно лезет без спроса?

sluggard ★★★★★ ()
Ответ на: комментарий от Pulfer

Возможно, так как в 4-й rosa он предупреждает, что хочет 2 gb, а я ему выделил 1.3gb. 3-я при это не ругается и грузится. попробую выделить памяти побольше. Грузится в live-режиме.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от Pulfer

Проверил в VBox в Debian 64bit - с меньшим размером памяти хоть и грузит рабочий стол, но тоже почти неработоспособен. С выделением 2 gb всё нормально.

А как в меню выбора приложений создавать свои группы?

grem ★★★★★ ()

На вкладке «Приложения» иконки в режиме live-dvd не должны перетаскиваться? В видеопрезентации их можно переносить.

P.S. Разобрался, просто нужно зажать левую клавишу мыши подольше.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 2)
Ответ на: комментарий от sluggard

не проверял - просто предположение

anonymous ()
Ответ на: комментарий от Indexator

Ты бы не взял, а всякие е**нутые на голову госструктуры только так и живут, хы-хы

vitalif ★★★★★ ()

А как снизить потребление памяти? - у меня нехватает на посмотреть... Зачем все пакеты грузить сразу? сделали б выбор - нехватает памяти - грузи половину... =-)) LIVE DVD ОДНИМ КУСКОМ В ПАМЯТЬ эт круто. Где вариант для пк постарше?

dr04 ★★ ()

В ROSA Fresh R4 доступны для установки 3 стабильных версии проприетарного драйвера для видеокарт Nvidia

А что AMD идет лесом? Хотя какая разница, все равно РОСА - ненужно.

ilinsky ★★★★★ ()
Ответ на: комментарий от ilinsky

Ну-ка, расскажи мне о своём «нужном» дистрибутиве.

Pulfer ()
Ответ на: комментарий от ilinsky

А что AMD идет лесом

Для AMD одна версия драйвера, текущая. У AMD нет веток «Long Lived», «Short Lived» и т.д.

Pulfer ()
Ответ на: комментарий от Pulfer

Есть ли комбинация клавиш для переключения между списком недавно запущенных приложений и списком всех приложений, timeframe?

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 1)
Ответ на: комментарий от Pulfer

А пока что, наверное, только в Росе штатный Clementine поддерживает ВКонтакте.

В альте тоже поддерживает.

Vovka-Korovka ★★★★★ ()

Отлично! На этом нетбуке Роса ведёт себя тормознее дебьяна, и даже стартовой семерки, зато смотрится очень органично и целостно. (Еще так же смотрится суся, но она на этом нетбуке агонировала)

А тут новая версия. Очень хорошо.

anonymous ()
Ответ на: комментарий от anonymous

удалите mariadb-server (это есть в рекомендациях для слабых машин)

keleg ()
Ответ на: комментарий от Pulfer

Для AMD одна версия драйвера, текущая

Если бы все было так просто... А как же fglrx-legacy?

xmichael ()
Ответ на: комментарий от keleg

Применительно к Росе? Сразу посносил и поостанавливал всё, что можно. Подтормаживает, но не тормозит. Файрфокс запускается, например, не 5-10 секунд (семерка), а 7-12. Несущественно.

А если применительно к Сусе - спасибо, буду иметь ввиду. Всегда сразу вырубаю ненужные сервисы, но суся так дико тормозила, что я до терминала и не добрался.

anonymous ()
Ответ на: комментарий от xmichael

А как же fglrx-legacy?

С января 2013 не обновлялся, ядер выше 3.4 (официально, есть неофициальный патч для работы с 3.8) и Xorg выше 1.12 не поддерживает.

redgremlin ★★★★★ ()

В репозитории contrib доступна тестовая сборка Fresh Player Plugin, позволяющего использовать плагин Pepper Flash из Chrome в Firefox и других браузерах.

Рината признали.

Или он сам из Росы?

rogerw ()
Ответ на: комментарий от anonymous

«О, давно я на ЛОРе женщин не встречал.»

А может, это трап?

anonymous ()
Ответ на: комментарий от Indexator

Проблема в том, что в некоторых случаях закон запрещает пользоваться несертифицированным ПО. Так, что хочешь-не хочешь, а ставить придется.

anonymous ()
Ответ на: комментарий от metalizer

продукт не чем не хуже именитых брендов (Mint...

Лучше. т.к. mint мне не понравился, а этот ничего так.

anonymous ()
Ответ на: комментарий от redgremlin

Эта победа и в дебиан-тестинге присутствует :}

Deleted ()
Ответ на: комментарий от anonymous

«Проблема в том, что в некоторых случаях закон запрещает пользоваться несертифицированным ПО. Так, что хочешь-не хочешь, а ставить придется.»

Или послать всех и закрыть контору.

anonymous ()

Написали бы прямо, что нужны хомячки для тестирования дистрибутива... и не бесплатно... и не на ЛОРе.

trupanka ()
Ответ на: комментарий от Indexator

Некоторым несертифицированные версии по закону использовать невозможно, за сертификацию нужно платить и длится этот процесс не один месяц.

A-234 ★★★★★ ()
Ответ на: комментарий от anonymous

Чтобы соблюдать законность, нужно платить? Платная законность?

ЛОЛ

anonymous ()
Ответ на: комментарий от A-234

Пока процесс завершится, выйдут критические обновления или новые версии оригинального софта. Результат сертификации становится не актуальным и решетом для ничего не подозревающего end-user.

Очевидно, все начинается по новой. Замкнутый круг. Доходная схема.

Если бы это было добровольно, то никто бы и не связывался.

anonymous ()
Ответ на: комментарий от anonymous

Да ты догада! Прикинь - ни в ФСТЭК и в прочих НИИ и госстуктурах об этом не догадались, а только ты понял, что сертификация слетит от обновления из оф.репа. У тебя, наверно, волшебный диван? Напиши об этом в спортлото - вдруг орденом наградят ;)

anonymous ()
Ответ на: комментарий от anonymous

Для тех, кто убежден, что сертифицированное ПО гарантирует ему защищенность, разве очевидно? Это ведь всё равно что торговать палёным мёдом^W бензином.

Подобные торговые операции обесценивают рублики - не мешает напомнить.

anonymous ()
Ответ на: комментарий от grem

«с меньшим размером памяти хоть и грузит рабочий стол, но тоже почти неработоспособе» — размер видеопамяти тоже важен. Дайте хотя бы 64M. У меня работоспособно все на нетбуке с гигом памяти — но для этого надо ставить 32 бита и выкинуть mariadb-server.

belonesox ()
Ответ на: комментарий от grem

На VirtualBox из под fedora rawhide c 1Гб запуситилось и без тормозов работала. Правда не live, а после установки) live не пробовал.

anonymous ()
Ответ на: комментарий от anonymous

«Для тех, кто убежден, что сертифицированное ПО гарантирует ему защищенность» Ребята, у вас странное представление о назначении сертификации. Да, все ключи и алгоритмы сертифицированных систем должны быть известны ФСТЭК. Но такая система и не предназначена для того, чтобы скрыть от милиции твой порноархив... Она защищает только от утечек из госорганов в АНБ и фсё! Это как система свой-чужой у военных. Диванные хацкеры могут сколько угодно петь, что кругом решето и что им как два пальца об асфальт... Только система работает и своё дело делает.

anonymous ()

Рекомендованный минимальный объем памяти:

Для 64-битных систем — 2GB Для 32-битных — 1280M

жэээээсть.. я на такой машине в Сталкер играл очень комфортно в свое время, а тут тока для системы 2Гб надо. Закопали бы уже и не позорились.

Deleted ()
Последнее исправление: Zangezi (всего исправлений: 1)
Ответ на: комментарий от Deleted

Я когда-то на машине с 32Мб ram комфортно играл в doom, heretic и т.п. а щас на компы больше гига рамы просят ставить - жэээсть

anonymous ()
Ответ на: комментарий от anonymous

«Да ты догада! Прикинь - ни в ФСТЭК и в прочих НИИ и госстуктурах об этом не догадались, а только ты понял, что сертификация слетит от обновления из оф.репа. У тебя, наверно, волшебный диван? Напиши об этом в спортлото - вдруг орденом наградят ;)»

Это ты как раз лужу газифицировал. Устанавливая обновления со стороны, а не сертифицированные, ты компрометируешь систему. Она уже не будет являться сертифицированной. Поработал бы ты в НИИ, знал бы это.

anonymous ()
Ответ на: комментарий от Deleted

Это для Live-режима требования, для установленной системы они ниже (скажем, у меня 32-битная система редко когда за 1 гиг выходит, разве что при компиляции софта с -j8 или при запуске виртуальных машин).

Pulfer ()
Ответ на: комментарий от anonymous

Устанавливая обновления со стороны

Парень, ты вот эту фразу прочитал «обновления из оф.репа»? Или у себя газификацией занимался? Ясен перец, что если ты себе на офтоп качнёшь какой-нть xxx_fast_sex.exe, то даже балмер с гейтсом на пару тебе не помогут. Тут ровно та же история.

anonymous ()
Ответ на: комментарий от fallout4all

Работа с графикой в ROSA Fresh R4 - NVidia
Основные изменения, если коротко:
Мы существенно доработали инструмент XFdrake для настройки графической подсистемы в ROSA Fresh R4. XFdrake позволяет настроить всё необходимое для работы как с использованием свободного видеодрайвера (nouveau), так и проприетарных. В последнем случае инструмент теперь автоматически выбирает подходящий драйвер. Также поддерживается и настройка систем с гибридной графикой (Intel+NVidia).
Исправлено несколько недоработок в наших пакетах с bumblebee и primus. Теперь они должны нормально работать с проприетарными драйверами NVidia.
Подробнее.
Выбор и настройка проприетарных драйверов

В ROSA Fresh R3 была некоторая путаница с проприетарными драйверами для видеокарт NVidia:

  • nvidia-current соответствовал не свежей стабильной ветке драйверов NVidia, а одной из более старых long-lived веток.
  • Кроме этого, были пакеты только для long-lived веток 304.x и 173.x, но не было - для 340.x, т.е. могло не быть поддержки части видеокарт.

Не всегда ясно было, как для этого всего выпускать обновления, чтобы на системах пользователей ничего не сломалось: при переходе к новой long-lived ветке NVidia нередко отказывается от поддержки части видеокарт.
Для информации, вот, что предлагает NVidia: http://www.nvidia.com/object/unix.html
Что у нас сейчас в R4:

  • Есть long-lived драйверы из веток 340.x, 304.x, 173.x. Если пользователь хочет, чтобы система работала на проприетарных видеодрайверах, XFdrake теперь автоматически выбирает подходящий, а именно - самую свежую ветку long-lived драйверов, в которой поддерживается данная видеокарта. После этого используются драйверы только из данной ветки, т.е. меньше риск, что при обновлении поддержка видеокарты пользователя из драйвера внезапно исчезнет.
  • Есть nvidia-current, который будет соответствовать свежей стабильной ветке драйверов NVidia (пока он у нас соответствует upstream-версии 340, планируем обновить). Мы не рекомендуем его для большинства пользователей, т.к. в очередном обновлении NVidia может отказаться от поддержки тех или иных видеокарт в этом драйвере.

Гибридная графика Intel+NVidia

  • XFdrake теперь позволяет настроить всё необходимое и для систем с гибридной графикой Intel+NVidia (при использовании проприетарного драйвера). Теперь, например, не нужно думать, ставить nomodeset в параметры загрузки или нет, что указать в Xorg.conf и т.д. Инструмент всё сделает автоматически.

До сих пор нередки были случаи, когда пользователи устанавливали проприетарные драйверы, добавляли nomodeset в параметры загрузки на системах с Intel+Nvidia - и после перезагрузки получали чёрный экран с текстом. Теперь должно быть проще.

  • При установке bumblebee nouveau сейчас автоматически добавляется в blacklist (на некоторых системах, похоже, этот драйвер мешал работе bumblebee с проприетарными драйверами). Теперь пользователям не нужно думать и об этом.
  • Bumblebee и primus теперь работают с long-lived драйверами из нужных веток (см. выше), nvidia-current для них не требуется.
RosaLab ()
Ответ на: комментарий от anonymous

«Парень, ты вот эту фразу прочитал «обновления из оф.репа»? Или у себя газификацией занимался? Ясен перец, что если ты себе на офтоп качнёшь какой-нть xxx_fast_sex.exe, то даже балмер с гейтсом на пару тебе не помогут. Тут ровно та же история.»

Ты продолжаешь выглядеть клоуном. Какие официальные репы? Обновления могут поставляться только на CD/FDD и должны быть оформлены соответствующим образом. Никаких реп по определению не может быть для сертифицированного дистрибутива.

anonymous ()
Ответ на: комментарий от anonymous

Никаких реп по определению не может быть для сертифицированного дистрибутива.

Это такое несвободное СПО?

anonymous ()
Ответ на: комментарий от anonymous

Я бы даже сказал, это анальный зонд

anonymous ()
Ответ на: комментарий от anonymous

Это такое несвободное СПО?

Укажите на определение свободного ПО, в котором явно указывается обязательное наличие репозиториев в качестве одного из определяющих факторов.

RosaLab ()
Последнее исправление: RosaLab (всего исправлений: 1)
Ответ на: комментарий от anonymous

Пока обновления сертифицируют - система остается скомпрометированной в течение месяца? Таким макаром все секреты давно уже слиты и проданы. Может тогда для этого нужна такая сертификация?

Если такая сертификация не выполняет своих основных функций и подвергает риску штатную защиту, то зачем это нужно?? Для бумажного отчета и не пыльного бизнеса?

Надо так: дыру нашли, через несколько часов обновление уже установлено из официальных реп, а не из каких-то посреднических передаточных «надуманных» дисков, которые сто раз уже «протухли»...

anonymous ()
Ответ на: комментарий от RosaLab

Свободный доступ к публичным репозитариям как минимум, разве нет? Как тогда обеспечить коллективную разработку и независимый аудит?

Да и очевидно же, зачем указывать?

anonymous ()
Ответ на: комментарий от Pulfer

вы эту хню ещё и в апстрим пропихнули. горите в аду.

anonymous ()

Мне вообще не понятна позиция некоторых товарищей, мол «не нужно»! Нужно, еще как нужно!!! Отличный отечественный дистрибутив! Успехов и дальнейшего процветания проекту!

nuxster ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.